/*	@(#)strings.h 1.7 89/01/30 SMI; from UCB 4.1 83/05/26	*/

/*
 * External function definitions
 * for routines described in string(3).
 */

#ifndef _strings_h
#ifndef _PARAMS
#if defined(__STDC__) || defined(__cplusplus)
#define _PARAMS(ARGS) ARGS
#else
#define _PARAMS(ARGS) ()
#endif
#endif /* _PARAMS */
#define _strings_h

char	*strcat _PARAMS((char *, const char *));
char	*strncat _PARAMS((char *, const char *, __SIZE_TYPE__ ));
int	strcmp _PARAMS((const char *, const char *));
int	strncmp _PARAMS((const char *, const char *, __SIZE_TYPE__ ));
int	strcasecmp _PARAMS((const char *, const char*));
char	*strcpy _PARAMS((char *, const char *));
char	*strncpy _PARAMS((char *, const char *, __SIZE_TYPE__ ));
__SIZE_TYPE__ strlen _PARAMS((const char *));
char	*index _PARAMS((const char *, int));
char	*rindex _PARAMS((const char *, int));

#if defined(__USE_FIXED_PROTOTYPES__) \
   || (defined(__STRICT_ANSI__) && defined(_XOPEN_EXTENDED_SOURCE))
extern int bcmp (const void *, const void *, __SIZE_TYPE__ );
extern void bcopy (const void *, void *, __SIZE_TYPE__ );
extern void bzero (void *, __SIZE_TYPE__ );
extern int ffs (int);
extern int strncasecmp (const char *, const char*, __SIZE_TYPE__ );
#endif /* defined(__USE_FIXED_PROTOTYPES__) || ... */
#endif /*!_strings_h*/
